User origin of a thing (data created through user interaction)

### Hierarchy

- SCThingOrigin
  - SCThingUserOrigin

## Index

### Properties

- created
- deleted
- maintainer
- modified
- type
- updated

## Properties

### created

created: SCISO8601Date

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1662

When the thing was created

### Optional deleted

deleted: undefined | false | true

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1666

If it is deleted or not, defaults to false

### Optional maintainer

maintainer: SCPerson | SCOrganization

Inherited from SCThingOrigin.maintainer

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1614

Maintainer of the origin

e.g. restaurant of a dish

### Optional modified

modified: SCISO8601Date

Inherited from SCThingOrigin.modified

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1618

When the thing was modified last in the origin

### type

type: User

Overrides SCThingOrigin.type

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1670

Type of the origin

### Optional updated

updated: SCISO8601Date

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1674

When the saved thing was last updated with the latest state (e.g. from the backend)

Generated using TypeDoc